///////////////////////////////////////////////////////////////////////////////
//
/// \file       version.c
/// \brief      Returns the liblzma version number
//
//  Copyright (C) 2007 Lasse Collin
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.
//
///////////////////////////////////////////////////////////////////////////////

#include "common.h"


extern LZMA_API const char *
lzma_version_string(void)
{
	return PACKAGE_VERSION;
}


extern LZMA_API uint32_t
lzma_version_number(void)
{
	// aiiippps
	// | |  | |
	// | |  | `-- Stability: 0 = alpha, 1 = beta, 2 = production use
	// | |  `----
	return UINT32_C(404200100);
}
